STRSPN(3)

NAME
strspn, strcspn - search a string for a set of characters

SYNOPSIS
#include <string.h>

size_t strspn(const char *s, const char *accept);

size_t strcspn(const char *s, const char *reject);

DESCRIPTION
The strspn() function calculates the length of the initial segment of s which consists entirely of characters in accept.

The strcspn() function calculates the length of the initial segment of s which consists entirely of characters not in reject.

RETURN VALUE
The strspn() function returns the number of characters in the initial segment of s which consist only of characters from accept.

The strcspn() function returns the number of characters in the initial segment of s which are not in the string reject.

CONFORMING TO
SVr4, 4.3BSD, C89, C99.

SEE ALSO
index(3), memchr(3), rindex(3), strchr(3), strpbrk(3), strsep(3), strstr(3), strtok(3), wcscspn(3), wcsspn(3)

COLOPHON
This page is part of release 3.24 of the Linux man-pages project. A description of the project, and information about reporting bugs, can be found at http://www.kernel.org/doc/man-pages/.